Intrusion Prevention

WM.Downloader.Buffer.Overflow

Description

This indicates a possible attack against a stack-based buffer-overflow vulnerability in WM Downloader.
The vulnerability is due to the vulnerable software's inability to properly handle malformed user input. An attacker may exploit this to execute arbitrary code by sending a malicious .m3u file.

Affected Products

WM Downloader 3.1.2.2 is vulnerable. Other versions may also be affected.

Impact

System compromise

Recommended Actions

Currently we are unaware of any vendor-supplied patches or updates.